=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2007-01-06 05:02:02 +0000
+++ loggerhead/util.py	2007-01-14 01:21:30 +0000
@@ -23,6 +23,7 @@
 import logging
 import re
 import sha
+import struct
 import sys
 import threading
 import traceback
@@ -216,6 +217,20 @@
     return s
 
 
+def uniq(uniqs, s):
+    """
+    turn a potentially long string into a unique smaller string.
+    """
+    if s in uniqs:
+        return uniqs[s]
+    uniqs[type(None)] = next = uniqs.get(type(None), 0) + 1
+    x = struct.pack('>I', next)
+    while (len(x) > 1) and (x[0] == '\x00'):
+        x = x[1:]
+    uniqs[s] = b64(x)
+    return uniqs[s]
+
+
 KILO = 1024
 MEG = 1024 * KILO
 GIG = 1024 * MEG

